> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1webhooksaudiencefeed



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/audience/feed
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/audience/feed:
    post:
      tags:
        - AudienceFeeds
      operationId: webhooks.audience.feed
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                feed_token:
                  type: string
                contact_id:
                  type: string
                  format: uuid
                phone_normalized:
                  type:
                    - string
                    - 'null'
                email_normalized:
                  type:
                    - string
                    - 'null'
                email_is_good:
                  type:
                    - number
                    - 'null'
                email_is_good_reason:
                  type:
                    - number
                    - 'null'
                name:
                  type:
                    - string
                    - 'null'
                country:
                  type:
                    - string
                    - 'null'
                  description: ISO 3166-1 alpha-2 country code
                country_id:
                  type:
                    - number
                    - 'null'
                state_id:
                  type:
                    - number
                    - 'null'
                state_id_reason:
                  type:
                    - number
                    - 'null'
                state:
                  type:
                    - string
                    - 'null'
                network_brand:
                  type:
                    - string
                    - 'null'
                mcc:
                  type:
                    - string
                    - 'null'
                mnc:
                  type:
                    - string
                    - 'null'
                foreign_id:
                  type: string
                tags:
                  type: array
                  items:
                    type: string
                custom_fields:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: string
                      type:
                        $ref: '#/components/schemas/CustomFieldTypeEnum'
                        description: >-
                          if type is set, custom field will be created if it
                          doesn't exist
                    required:
                      - name
                      - value
              required:
                - feed_token
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
      security:
        - {}
components:
  schemas:
    CustomFieldTypeEnum:
      type: string
      enum:
        - string
        - number
        - datetime
        - boolean
      title: CustomFieldTypeEnum
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````